org.apache.ivy.osgi.updatesite.xml

## Class UpdateSite

- java.lang.Object
- - org.apache.ivy.osgi.updatesite.xml.UpdateSite

    public class UpdateSite
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UpdateSite()`

### Method Summary

Methods
`void` `addFeature(EclipseFeature feature)`
`java.net.URI` `getDigestUri()`
`java.util.List<EclipseFeature>` `getFeatures()`
`java.net.URI` `getUri()`
`void` `setAssociateSitesURL(java.lang.String associateSitesURL)`
`void` `setDigestUri(java.net.URI digestUri)`
`void` `setMirrorsURL(java.lang.String mirrorsURL)`
`void` `setPack200(boolean pack200)`
`void` `setUri(java.net.URI uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateSite

    public UpdateSite()

### Method Detail

#### setUri

    public void setUri(java.net.URI uri)

#### getUri

    public java.net.URI getUri()

#### setMirrorsURL

    public void setMirrorsURL(java.lang.String mirrorsURL)

#### setPack200

    public void setPack200(boolean pack200)

#### setDigestUri

    public void setDigestUri(java.net.URI digestUri)

#### getDigestUri

    public java.net.URI getDigestUri()

#### addFeature

    public void addFeature(EclipseFeature feature)

#### getFeatures

    public java.util.List<EclipseFeature> getFeatures()

#### setAssociateSitesURL

    public void setAssociateSitesURL(java.lang.String associateSitesURL)